Subject: Re: [GSOC][PATCH v3 0/1] t1403: verify path exists and is a file

From: Junio C Hamano <[email-masked]>
Date: Tue, 04 Mar 2025 08:00:36 -0800

Mahendra Dani <[email-masked]> writes:

> test -e does not provide a nice error message when we hit test failures,
> so use test_path_exists() instead.
>
> Further, verify that if the path exists, then the path is a file using
> test_path_is_file() helper function.
>
> This patch does not change any code in v2, but is rather submitted with proper formatting
> which was lacking in v2. 
> I apologize for the incorrect patch submission in v2. 

My cursory look didn't spot anything iffy in v2 and I found it
nicely described.  I do not see anything, other than the above
3-line paragraph, that is different in v3 from v2, which is a bit
curious.

Thanks.